import { r as registerInstance, h } from './index-CV0Pyo1O.js';
import { S as StyledHost } from './styled-host-D84RBv1W.js';
import './event-types-CZfYo5-1.js';

const JustifiCardBillingFormSimple = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    async getValues() {
        var _a, _b;
        return (_b = (_a = this.cardBillingFormSimpleRef) === null || _a === void 0 ? void 0 : _a.getValues()) !== null && _b !== void 0 ? _b : {};
    }
    async validate() {
        var _a, _b;
        return (_b = (_a = this.cardBillingFormSimpleRef) === null || _a === void 0 ? void 0 : _a.validate()) !== null && _b !== void 0 ? _b : { isValid: false, errors: {} };
    }
    render() {
        return (h(StyledHost, { key: '799c9c1ed22b4794fc292a6cbe0986ad91c41cd9' }, h("card-billing-form-simple", { key: '5a96ecdd0a474fae719f6fa48bcb4a88fd74ef92', legend: this.legend, ref: (el) => (this.cardBillingFormSimpleRef = el) })));
    }
};

export { JustifiCardBillingFormSimple as justifi_card_billing_form_simple };
